Mailrelay API Reference

Create or update a product

POST /ecommerce/stores/{store_id}/products/sync

Automatically checks if product exists based on product_id parameter. If it does, it updates the product. If it doesn't, it creates a new product.

Parameters

NameTypeDescription
store_id integer ID of the store
product_id string Product
name string Name
url string Url
image_url string Image url
product_variants_attributes array Product variant

Responses

StatusDescription
200 Existing product was updated
201 Product was created
400 The request is invalid. Check if the field names in the request and the request data is valid.
422 A validation error occurred. Check the response body for more information.
401 The API key wasn't sent or is invalid
500 An internal error happened. Try again later.